//
//  MicroLifeFunctionSettingValues.h
//  MicroLifeDeviceSDK-Dev
//
//  Created by willy.wu on 2019/10/17.
//  Copyright © 2019 WiFi@MBP. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface MicroLifeFunctionSettingValues : NSObject
/**
 AFIB algorithm ON/OFF
 */
@property (nonatomic,assign) BOOL Fun_SEL_AFib;
/**
 CBP algorithm ON/OFF
*/
@property (nonatomic,assign) BOOL Fun_SEL_CBP_algo;
/**
 select 24hr or 12hr by UI ON/OFF
*/
@property (nonatomic,assign) BOOL Fun_SEL_AMPM;
/**
 Enable CBP clinical data transmission
*/
@property (nonatomic,assign) BOOL Fun_SEL_CBP_CL;
/**
 AutoTest ON/OFF
*/
@property (nonatomic,assign) BOOL Fun_SEL_AutoTest;
/**
 Bluetooth function ON/OFF
*/
@property (nonatomic,assign) BOOL Fun_SEL_Bluetooth;
/**
 select Kpa or mmHg by UI / only mmHg
*/
@property (nonatomic,assign) BOOL Fun_SEL_UnitKpa;
/**
 LabView data transmission ON/OFF
*/
@property (nonatomic,assign) BOOL Fun_SEL_RS232;

+ (instancetype)initWithFunctionSettingValueData:(NSString *)data;

@end

NS_ASSUME_NONNULL_END
